<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->string('nameBangla')->nullable();
            $table->string('highlight')->nullable();
            $table->string('image')->nullable();
            $table->json('sizes')->nullable();
            $table->json('priceConfigs')->nullable();
            $table->json('usage')->nullable();
            $table->json('features')->nullable();
            $table->boolean('isFeatured')->default(false);
        });
    }

    public function down(): void
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn(['nameBangla', 'highlight', 'image', 'sizes', 'priceConfigs', 'usage', 'features', 'isFeatured']);
        });
    }
};
